#include <stdio.h>
#define MAXSET 10
void set_insert (int set[ ], int element, int *num);
void set_delete (int set[ ], int element, int *num);
int set_is_member (int set[ ], int element, int num);

main( )
{
   int set[MAXSET], select, element, num=0;
   while (1) {
      printf("select menu 1.insert 2.delete 3.exit => ");
      scanf("%d", &select);
      if (select == 1) {
         printf("input element => ");
         scanf("%d", &element);
         set_insert(set, element, &num);
      } else if (select == 2) {
         printf("input element => ");
         scanf("%d", &element);
         set_delete(set, element, &num);
      } else if (select == 3) {
         break;
      } else {
         printf("select error\n");
      }
   }
}

void set_insert (int set[ ], int element, int *num)
{
   if (set_is_member(set, element, (*num))) {
      printf("%d is a member\n", element);
      return;
   }
   if (*num < MAXSET)
      set[(*num)++] = element;
   else
      printf("insert error : set is full\n");
}

void set_delete (int set[ ], int element, int *num)
{
   int i;
   for (i=0; i<*num; i++)
      if (set[i] == element)
         break;
   if (i == *num)
      printf("delete error : not found %d\n", element);
   else {
      for (; i<(*num)-1; i++)
         set[i] = set[i+1];
      (*num)--;
   }
}

int set_is_member (int set[ ], int element, int num)
{
   int i;
   for (i=0; i<num; i++)
      if (set[i] == element)
         return 1;
   return 0; 
}